﻿.index-banner-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
}
.index-banner-box
.index-banner-list,
.index-video-box,
.index-video,
.index-video-bg,
.index-banner-list-box{
     height: calc(100vh - 93px);
}
.index-banner-list-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
}
.index-banner-list{
    width: 100%;
    display: block;

}
.index-banner-list span{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.index-banner{
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
}

.index-video-box.index-video-open{
    display: none;
}
.index-banner-slong,
.index-video-slong{
    width: 100%;
    text-align: center;
    font-size: 36px;
    color: #FFF;
    display: block;
    position: absolute;
    z-index: 9;
    top: 48%;
    text-shadow: rgba(0,0,0,0.6) 2px 2px 2px;
    cursor: context-menu;
    font-family: 'Saira Extra Condensed';
}
.index-video-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color:#000;
    z-index: 5;
}
.index-video-box{
    width: 100%;
    display: block;
    position: relative;
}
.index-video{
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 5;
    display: block;
}

.index-video-bg{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.index-banner-mask{
    width: 100%;
    height: 100vh;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-repeat: no-repeat;
    background-image: url('../img/banner-mask.jpg');
    opacity: 0.2;
    background-size: cover;
    background-position: center;
    z-index: 1;
    pointer-events: none;
}
.index-banner-slong-box{
    width: 100%;
    display: block;
    position: absolute;
    top: 48%;
    left: 0;
    z-index: 5;
    pointer-events: none;
    text-align: center;
}



/*過場動畫*/

.dt-loading-2 {
    width: 100%;
    height: 100vh;
    display: table;
    position: fixed;
    top: 0;
    z-index: 99999;
    transition: all .4s linear;
}

.laying-2 {
   display: table-cell;
   vertical-align: middle;
}

.loading-logo-box{
    width: 154px;
    display: block;
    position: relative;
    margin: 0 auto;
    overflow: hidden;
    z-index: 9;
}
.loading-log{
    width: 100%;
    display: block;
    position: relative;
 
}
.loading-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    background: #FFF;
    right: 0%;
    animation:  right2 1s linear 0s 1 forwards;

}

.loading-logo-bg{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #FFF;
     
}
/*左移進入*/
@-webkit-keyframes loading-bg {
  0% {
    transform: scale(2);
  }
  50%{
    transform: scale(1);
    opacity: 1;
  }
  100%{
     transform: scale(0);
     opacity: 0;
  }
}

@keyframes right2 {
   0% {
    right: 0px;
    opacity: 1;
  }

  99% {
   right: -100%;
   opacity: 1;
  }
  100%{
    right: -100%;
    opacity: 0;
  }
}

.loading-logo-box{
    animation: scale-out 1s linear 1s 1 forwards;
}


@keyframes scale-out{
   0% {
    transform: scale(1);
    opacity: 1;
  }


  100%{
    transform: scale(2);
    opacity: 0;
  }
}


.index-banner-slong, .index-video-slong{
    font-weight: 100;
    letter-spacing: 2px;
}